Package be.fgov.ehealth.mediprima.core.v2

# Class MedicalCoverType

java.lang.Object
be.fgov.ehealth.mediprima.core.v2.MedicalCoverType

All Implemented Interfaces:
  `Serializable`

@Generated(value="com.sun.tools.xjc.Driver", date="2025-09-16T05:18:27+02:00", comments="JAXB RI v4.0.5") public class MedicalCoverType extends Object implements Serializable
Representation of all the covers of a medical card.

Java class for MedicalCoverType complex type

.

The following schema fragment specifies the expected content contained within this class.

     <complexType name="MedicalCoverType">
       <complexContent>
         <restriction base="{http://www.w3.org/2001/XMLSchema}anyType">
           <sequence>
             <element name="Doctor" type="{urn:be:fgov:ehealth:mediprima:core:v2}DoctorType" minOccurs="0"/>
             <element name="Hospitalization" type="{urn:be:fgov:ehealth:mediprima:core:v2}HospitalizationType" minOccurs="0"/>
             <element name="AmbulatoryHospitalization" type="{urn:be:fgov:ehealth:mediprima:core:v2}HospitalizationType" minOccurs="0"/>
             <element name="MedicalTransportation" type="{urn:be:fgov:ehealth:mediprima:core:v2}MedicalTransportationType" minOccurs="0"/>
             <element name="Miscellaneous" type="{urn:be:fgov:ehealth:mediprima:core:v2}MiscellaneousType" minOccurs="0"/>
             <element name="Paramedic" type="{urn:be:fgov:ehealth:mediprima:core:v2}ParamedicType" minOccurs="0"/>
             <element name="PharmaceuticalDrug" type="{urn:be:fgov:ehealth:mediprima:core:v2}PharmaceuticalDrugType" minOccurs="0"/>
             <element name="Prosthesis" type="{urn:be:fgov:ehealth:mediprima:core:v2}ProsthesisType" minOccurs="0"/>
           </sequence>
         </restriction>
       </complexContent>
     </complexType>

See Also:
  - Serialized Form

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `MedicalCoverType()`

- ## Method Summary

  Modifier and Type
  Method
  Description
  `HospitalizationType`
  `getAmbulatoryHospitalization()`
  Ambulatory hospitalization medical cover type.
  `DoctorType`
  `getDoctor()`
  Doctor medical cover type.
  `HospitalizationType`
  `getHospitalization()`
  Hospitalization medical cover type.
  `MedicalTransportationType`
  `getMedicalTransportation()`
  Medical transportation medical cover type.
  `MiscellaneousType`
  `getMiscellaneous()`
  Miscellaneous medical cover type.
  `ParamedicType`
  `getParamedic()`
  Paramedic medical cover type.
  `PharmaceuticalDrugType`
  `getPharmaceuticalDrug()`
  Pharmaceutical drug medical cover type.
  `ProsthesisType`
  `getProsthesis()`
  Prosthesis medical cover type.
  `void`
  `setAmbulatoryHospitalization(HospitalizationType value)`
  Sets the value of the ambulatoryHospitalization property.
  `void`
  `setDoctor(DoctorType value)`
  Sets the value of the doctor property.
  `void`
  `setHospitalization(HospitalizationType value)`
  Sets the value of the hospitalization property.
  `void`
  `setMedicalTransportation(MedicalTransportationType value)`
  Sets the value of the medicalTransportation property.
  `void`
  `setMiscellaneous(MiscellaneousType value)`
  Sets the value of the miscellaneous property.
  `void`
  `setParamedic(ParamedicType value)`
  Sets the value of the paramedic property.
  `void`
  `setPharmaceuticalDrug(PharmaceuticalDrugType value)`
  Sets the value of the pharmaceuticalDrug property.
  `void`
  `setProsthesis(ProsthesisType value)`
  Sets the value of the prosthesis property.

  ### Methods inherited from class java.lang.Object

  `equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- ## Constructor Details

  - ### MedicalCoverType

    public MedicalCoverType()

- ## Method Details

  - ### getDoctor

    public DoctorType getDoctor()
    Doctor medical cover type.
    Returns:
      possible object is `DoctorType`

  - ### setDoctor

    public void setDoctor(DoctorType value)
    Sets the value of the doctor property.
    Parameters:
      `value` - allowed object is `DoctorType`
    See Also:
      - `getDoctor()`

  - ### getHospitalization

    public HospitalizationType getHospitalization()
    Hospitalization medical cover type.
    Returns:
      possible object is `HospitalizationType`

  - ### setHospitalization

    public void setHospitalization(HospitalizationType value)
    Sets the value of the hospitalization property.
    Parameters:
      `value` - allowed object is `HospitalizationType`
    See Also:
      - `getHospitalization()`

  - ### getAmbulatoryHospitalization

    public HospitalizationType getAmbulatoryHospitalization()
    Ambulatory hospitalization medical cover type.
    Returns:
      possible object is `HospitalizationType`

  - ### setAmbulatoryHospitalization

    public void setAmbulatoryHospitalization(HospitalizationType value)
    Sets the value of the ambulatoryHospitalization property.
    Parameters:
      `value` - allowed object is `HospitalizationType`
    See Also:
      - `getAmbulatoryHospitalization()`

  - ### getMedicalTransportation

    public MedicalTransportationType getMedicalTransportation()
    Medical transportation medical cover type.
    Returns:
      possible object is `MedicalTransportationType`

  - ### setMedicalTransportation

    public void setMedicalTransportation(MedicalTransportationType value)
    Sets the value of the medicalTransportation property.
    Parameters:
      `value` - allowed object is `MedicalTransportationType`
    See Also:
      - `getMedicalTransportation()`

  - ### getMiscellaneous

    public MiscellaneousType getMiscellaneous()
    Miscellaneous medical cover type.
    Returns:
      possible object is `MiscellaneousType`

  - ### setMiscellaneous

    public void setMiscellaneous(MiscellaneousType value)
    Sets the value of the miscellaneous property.
    Parameters:
      `value` - allowed object is `MiscellaneousType`
    See Also:
      - `getMiscellaneous()`

  - ### getParamedic

    public ParamedicType getParamedic()
    Paramedic medical cover type.
    Returns:
      possible object is `ParamedicType`

  - ### setParamedic

    public void setParamedic(ParamedicType value)
    Sets the value of the paramedic property.
    Parameters:
      `value` - allowed object is `ParamedicType`
    See Also:
      - `getParamedic()`

  - ### getPharmaceuticalDrug

    public PharmaceuticalDrugType getPharmaceuticalDrug()
    Pharmaceutical drug medical cover type.
    Returns:
      possible object is `PharmaceuticalDrugType`

  - ### setPharmaceuticalDrug

    public void setPharmaceuticalDrug(PharmaceuticalDrugType value)
    Sets the value of the pharmaceuticalDrug property.
    Parameters:
      `value` - allowed object is `PharmaceuticalDrugType`
    See Also:
      - `getPharmaceuticalDrug()`

  - ### getProsthesis

    public ProsthesisType getProsthesis()
    Prosthesis medical cover type.
    Returns:
      possible object is `ProsthesisType`

  - ### setProsthesis

    public void setProsthesis(ProsthesisType value)
    Sets the value of the prosthesis property.
    Parameters:
      `value` - allowed object is `ProsthesisType`
    See Also:
      - `getProsthesis()`